Package org.eclipse.net4j.util.om.monitor

# Interface OMMonitorProgress

All Known Subinterfaces:
  `OMMonitor`

All Known Implementing Classes:
  `AbstractMonitor`, `DelegatingMonitor`, `EclipseMonitor`, `Monitor`, `NestedMonitor`, `NotifyingMonitor`, `NotifyingMonitor.ProgressEvent`, `TimeoutMonitor`

public interface OMMonitorProgress

Since:
  3.1
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`HUNDRED`
`static final double`
`ONE`
`static final double`
`TEN`
`static final double`
`ZERO`

## Method Summary

Modifier and Type
Method
Description
`double`
`getTotalWork()`
`double`
`getWork()`
`double`
`getWorkPercent()`

## Field Details

### ZERO

static final double ZERO

See Also:
  - Constant Field Values

### ONE

static final double ONE

See Also:
  - Constant Field Values

### TEN

static final double TEN

See Also:
  - Constant Field Values

### HUNDRED

static final double HUNDRED

See Also:
  - Constant Field Values

## Method Details

### getTotalWork

double getTotalWork()

### getWork

double getWork()

### getWorkPercent

double getWorkPercent()